=== debian/changelog ===
thrift (0.16.0-2) experimental; urgency=medium

  * Run Go tests without non-portable race detector.
  * Disable tests that seem to be incompatible with newer GLib versions.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 01 Apr 2022 17:14:34 +0200

thrift (0.16.0-1) experimental; urgency=medium

  * New major upstream release (closes: #1008458):
    - fixes CVE-2020-13949: potential DoS when processing untrusted payloads
      (closes: #988949).
  * Rename related packages to -0.16.0 suffix.


 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 28 Mar 2022 01:34:46 +0200
