=== debian/changelog ===
thrift (0.17.0-2) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 28 Sep 2022 19:05:02 +0200

thrift (0.17.0-1) experimental; urgency=medium

  * New major upstream release.
  * Rename related packages to -0.17.0 suffix.
  * Update debhelper level to 13 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 Sep 2022 22:21:38 +0200

thrift (0.16.0-7) unstable; urgency=medium

  * Don't remove generated config.h files (closes: #1019182).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 13 Sep 2022 20:24:02 +0200

thrift (0.16.0-6) unstable; urgency=medium

  * Replace outdated TLS test keys (closes: #1010120, #1015049).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Aug 2022 12:41:21 +0200

thrift (0.16.0-5) unstable; urgency=medium

  * Disable IPv4 tests for not working on IPv6 only hosts (closes: #1011011).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 15 May 2022 14:42:11 +0200

thrift (0.16.0-4) unstable; urgency=medium

  * Specify libs as section for libthrift-0.16.0 .
  * Backport upstream fix for out of memory when use TNonblockingServer.
  * Backport upstream fix THRIFT-5449: use poll instead of select in Python
    TNonblockingServer if available.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 26 Apr 2022 17:14:22 +0200

thrift (0.16.0-3) unstable; urgency=medium

  * Upload to Sid.
  * This release contains fix for Python 3.10 (closes: #1008810).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 19 Apr 2022 17:08:21 +0200
