=== debian/control ===
--- 
+++ 
@@ -2,39 +2,35 @@
 Section: devel
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python,
  dh-golang, golang-golang-x-net-dev,
- gem2deb (>= 0.3.0~),
+ gem2deb,
  bison, flex,
- libboost-all-dev (>= 1.61.0), libevent-dev, zlib1g-dev,
+ libboost-all-dev, libevent-dev, zlib1g-dev,
  libssl-dev,
  libglib2.0-dev,
  qtbase5-dev,
- python3-all-dev,
- python3-six,
+ python3-all-dev, python3-six,
  golang-go, golang-github-golang-mock-dev,
  pkg-php-tools (>= 1.14~), php-dev, phpunit, php-codesniffer,
- perl (>= 5.22), libbit-vector-perl, libclass-accessor-perl,
- libtest-exception-perl,
+ perl, libbit-vector-perl, libclass-accessor-perl, libtest-exception-perl,
 # openjdk-11-jdk, javahelper, maven-debian-helper (>= 1.5), ant (>= 1.7), ant-optional,
 # libhttpclient-java, libslf4j-java, libservlet3.1-java (>= 8),
 # nodejs, npm,
- ruby-dev (>= 1:2.2), ruby, bundler,
- rake,
+ ruby-dev, ruby, bundler, rake,
  ruby-daemons, ruby-diff-lcs, ruby-eventmachine, ruby-rspec-core,
- ruby-rack, ruby-rack-test,
- ruby-rspec, ruby-rspec-expectations, ruby-rspec-mocks,
- thin,
+ ruby-rack, ruby-rack-test, ruby-rspec, ruby-rspec-expectations,
+ ruby-rspec-mocks, thin,
 # erlang-dev, erlang-eunit,
 # liblua5.2-dev,
 # google-mock
 Build-Conflicts: rustc
 Standards-Version: 4.6.0
 Homepage: https://thrift.apache.org/
-XS-Ruby-Versions: ruby2.7
 XS-Go-Import-Path: github.com/apache/thrift/lib/go/thrift
 
-Package: libthrift-0.16.0
+Package: libthrift-0.17.0
+Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -48,9 +44,10 @@
  using Thrift.
 
 Package: libthrift-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
-Depends: libthrift-0.16.0 (= ${binary:Version}), ${misc:Depends}, pkg-config
+Multi-Arch: same
+Depends: libthrift-0.17.0 (= ${binary:Version}), ${misc:Depends}, pkg-config
 Description: Thrift C++ library (development headers)
  Thrift is a software framework for the development of reliable and
  performant communication and data serialization.  It combines a software
@@ -75,8 +72,9 @@
  applications using Thrift.
 
 Package: libthrift-c-glib-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
+Multi-Arch: same
 Depends: libthrift-c-glib0 (= ${binary:Version}), ${misc:Depends}, pkg-config
 Description: Thrift glib library (development headers)
  Thrift is a software framework for the development of reliable and
@@ -142,8 +140,8 @@
 # This package contains Javadoc HTML documentation for libthrift-java .
 #
 Package: php-thrift
+Section: php
 Architecture: any
-Section: php
 Depends: ${phpcomposer:Debian-require}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${php:Provides}
 Conflicts: php7.0-thrift, php7.2-thrift
@@ -154,7 +152,7 @@
  stack with code generation to build services that operate seamlessly
  across a number of different development languages.
  .
- This package provides the PHP5 language support for Thrift.
+ This package provides the PHP language support for Thrift.
 
 Package: libthrift-perl
 Section: perl
