=== debian/rules ===
--- 
+++ 
@@ -77,7 +77,7 @@
 		--without-nodejs --without-erlang --without-lua \
 		--with-go --with-ruby \
 		--with-qt4=no --with-qt5=yes \
-		--without-rust \
+		--without-rust --without-kotlin \
 		--disable-tutorial
 
 override_dh_auto_build:
